Package org.apache.lucene.codecs.lucene912

# Class ForUtil

java.lang.Object
org.apache.lucene.codecs.lucene912.ForUtil

public final class ForUtil extends Object
Inspired from https://fulmicoton.com/posts/bitpacking/ Encodes multiple integers in a long to get SIMD-like speedups. If bitsPerValue <= 8 then we pack 8 ints per long else if bitsPerValue <= 16 we pack 4 ints per long else we pack 2 ints per long

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BLOCK_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ForUtil()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BLOCK_SIZE

public static final int BLOCK_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### ForUtil

public ForUtil()